USN-3642-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3642-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3642-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3642-1
Related
  • CVE-2018-1059
Published
2018-05-09T11:46:29.303811Z
Modified
2018-05-09T11:46:29.303811Z
Summary
dpdk vulnerability
Details

Maxime Coquelin discovered that DPDK incorrectly handled guest physical ranges. A malicious guest could use this issue to possibly access sensitive information.

References

Affected packages

Ubuntu:18.04:LTS / dpdk

Package

Name
dpdk

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
17.11.2-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "librte-pmd-ark17.11": "17.11.2-1ubuntu0.1",
            "librte-ring17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-kni17.11": "17.11.2-1ubuntu0.1",
            "librte-meter17.11": "17.11.2-1ubuntu0.1",
            "dpdk-rte-kni-dkms": "17.11.2-1ubuntu0.1",
            "librte-pipeline17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-i40e17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-ring17.11": "17.11.2-1ubuntu0.1",
            "librte-bitratestats17.11": "17.11.2-1ubuntu0.1",
            "librte-jobstats17.11": "17.11.2-1ubuntu0.1",
            "librte-flow-classify17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-vhost17.11": "17.11.2-1ubuntu0.1",
            "librte-efd17.11": "17.11.2-1ubuntu0.1",
            "librte-eventdev17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-skeleton-event17.11": "17.11.2-1ubuntu0.1",
            "librte-power17.11": "17.11.2-1ubuntu0.1",
            "librte-hash17.11": "17.11.2-1ubuntu0.1",
            "librte-metrics17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-pcap17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-thunderx-nicvf17.11": "17.11.2-1ubuntu0.1",
            "librte-lpm17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-enic17.11": "17.11.2-1ubuntu0.1",
            "librte-bus-vdev17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-octeontx17.11": "17.11.2-1ubuntu0.1",
            "librte-latencystats17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-vmxnet3-uio17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-e1000-17.11": "17.11.2-1ubuntu0.1",
            "librte-mempool-octeontx17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-failsafe17.11": "17.11.2-1ubuntu0.1",
            "librte-net17.11": "17.11.2-1ubuntu0.1",
            "librte-gro17.11": "17.11.2-1ubuntu0.1",
            "librte-table17.11": "17.11.2-1ubuntu0.1",
            "librte-mempool-ring17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-avp17.11": "17.11.2-1ubuntu0.1",
            "libdpdk-dev": "17.11.2-1ubuntu0.1",
            "librte-mbuf17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-nfp17.11": "17.11.2-1ubuntu0.1",
            "librte-distributor17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-qede17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-ixgbe17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-af-packet17.11": "17.11.2-1ubuntu0.1",
            "librte-vhost17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-null17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-bond17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-octeontx-ssovf17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-fm10k17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-sw-event17.11": "17.11.2-1ubuntu0.1",
            "librte-mempool17.11": "17.11.2-1ubuntu0.1",
            "librte-ip-frag17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-virtio17.11": "17.11.2-1ubuntu0.1",
            "dpdk-igb-uio-dkms": "17.11.2-1ubuntu0.1",
            "dpdk-dev": "17.11.2-1ubuntu0.1",
            "librte-cmdline17.11": "17.11.2-1ubuntu0.1",
            "librte-timer17.11": "17.11.2-1ubuntu0.1",
            "librte-ethdev17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-tap17.11": "17.11.2-1ubuntu0.1",
            "librte-gso17.11": "17.11.2-1ubuntu0.1",
            "librte-reorder17.11": "17.11.2-1ubuntu0.1",
            "librte-acl17.11": "17.11.2-1ubuntu0.1",
            "librte-sched17.11": "17.11.2-1ubuntu0.1",
            "librte-member17.11": "17.11.2-1ubuntu0.1",
            "librte-pci17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-crypto-scheduler17.11": "17.11.2-1ubuntu0.1",
            "librte-cfgfile17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-lio17.11": "17.11.2-1ubuntu0.1",
            "librte-pdump17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-bnxt17.11": "17.11.2-1ubuntu0.1",
            "librte-eal17.11": "17.11.2-1ubuntu0.1",
            "dpdk": "17.11.2-1ubuntu0.1",
            "librte-pmd-null-crypto17.11": "17.11.2-1ubuntu0.1",
            "librte-cryptodev17.11": "17.11.2-1ubuntu0.1",
            "librte-kni17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-ena17.11": "17.11.2-1ubuntu0.1",
            "librte-kvargs17.11": "17.11.2-1ubuntu0.1",
            "librte-security17.11": "17.11.2-1ubuntu0.1",
            "librte-port17.11": "17.11.2-1ubuntu0.1",
            "librte-mempool-stack17.11": "17.11.2-1ubuntu0.1",
            "dpdk-doc": "17.11.2-1ubuntu0.1",
            "librte-pmd-softnic17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-sfc-efx17.11": "17.11.2-1ubuntu0.1",
            "librte-pmd-cxgbe17.11": "17.11.2-1ubuntu0.1",
            "librte-bus-pci17.11": "17.11.2-1ubuntu0.1"
        }
    ]
}